Bug 8314 - m68k-elf/rtems should multilib crt[begin|end].o
m68k-elf/rtems should multilib crt[begin|end].o
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: other
3.2
: P1 critical
: ---
Assigned To: Jeffrey A. Law
: wrong-code
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 15:46 UTC by Joel Sherrill
Modified: 2003-07-25 17:33 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Sherrill 2002-10-22 15:46:00 UTC
crtbegin.o and crtend.o are compiled from C and 
when must be compiled with appropriate CPU options
to generate correct code on coldfire models.

Release:
gcc 3.2

Environment:
Target m68k-elf and m68k-rtems
Comment 1 Joel Sherrill 2002-10-22 15:46:00 UTC
Fix:
2002-10-22	Joel Sherrill <joel@OARcorp.com>

	* config/m68k/t-crtstuff: Include crti.o, crtn.o, crtbegin.o
	and crtend.o as multilib items.

diff -uNr /usr1/rtems/work-tools/original/gcc-3.2/gcc/config/m68k/t-crtstuff gcc-3.2/gcc/config/m68k/t-crtstuff
--- /usr1/rtems/work-tools/original/gcc-3.2/gcc/config/m68k/t-crtstuff  Tue Sep 14 04:52:09 1999
+++ gcc-3.2/gcc/config/m68k/t-crtstuff  Tue Oct 22 17:24:52 2002
@@ -1,5 +1,4 @@
-# from ../t-svr4
-EXTRA_PARTS=crtbegin.o crtend.o crti.o crtn.o
+EXTRA_MULTILIB_PARTS=crtbegin.o crtend.o crti.o crtn.o

 # Add flags here as required.
 CRTSTUFF_T_CFLAGS =
Comment 2 Joel Sherrill 2002-10-22 15:50:25 UTC
State-Changed-From-To: open->feedback
State-Changed-Why: Original patch broken.  Testing this now:
    
    diff -uNr /usr1/rtems/work-tools/original/gcc-3.2/gcc/config/m68k/t-crtstuff gcc-3.2/gcc/config/m68k/t-crtstuff
    --- /usr1/rtems/work-tools/original/gcc-3.2/gcc/config/m68k/t-crtstuff  Tue Sep 14 04:52:09 1999
    +++ gcc-3.2/gcc/config/m68k/t-crtstuff  Tue Oct 22 17:47:14 2002
    @@ -1,11 +1,10 @@
    -# from ../t-svr4
    -EXTRA_PARTS=crtbegin.o crtend.o crti.o crtn.o
    +EXTRA_MULTILIB_PARTS=crtbegin.o crtend.o crti.o crtn.o
    
     # Add flags here as required.
     CRTSTUFF_T_CFLAGS =
    
     # Assemble startup files.
    -crti.o: $(srcdir)/config/m68k/crti.s $(GCC_PASSES)
    -       $(GCC_FOR_TARGET) -c -o crti.o $(srcdir)/config/m68k/crti.s
    -crtn.o: $(srcdir)/config/m68k/crtn.s $(GCC_PASSES)
    -       $(GCC_FOR_TARGET) -c -o crtn.o $(srcdir)/config/m68k/crtn.s
    +$(T)crti.o: $(srcdir)/config/m68k/crti.s $(GCC_PASSES)
    +       $(GCC_FOR_TARGET) -c -o $(T)crti.o $(srcdir)/config/m68k/crti.s
    +$(T)crtn.o: $(srcdir)/config/m68k/crtn.s $(GCC_PASSES)
    +       $(GCC_FOR_TARGET) -c -o $(T)crtn.o $(srcdir)/config/m68k/crtn.s
Comment 3 Joel Sherrill 2002-10-23 10:15:25 UTC
Responsible-Changed-From-To: unassigned->law
Responsible-Changed-Why: Jeff is listed as m68k maintainer.
Comment 4 Mark Mitchell 2002-11-10 22:03:45 UTC
State-Changed-From-To: feedback->closed
State-Changed-Why: Fixed in GCC 3.2.1 by applying the patch in the audit trail.
Comment 5 joel.sherrill 2002-11-12 08:14:24 UTC
From: Joel Sherrill <joel.sherrill@OARcorp.com>
To: mmitchel@gcc.gnu.org, ccj@acm.org, gcc-bugs@gcc.gnu.org,
 	gcc-prs@gcc.gnu.org, joel@gcc.gnu.org, law@gcc.gnu.org,
 	pirovano.thysys@tiscalinet.it, gcc-gnats@gcc.gnu.org
Cc:  
Subject: Re: other/8314: m68k-elf/rtems should multilib crt[begin|end].o
Date: Tue, 12 Nov 2002 08:14:24 -0600

 This also applies to the head.  Was it applied there as well?
 
 mmitchel@gcc.gnu.org wrote:
 > 
 > Synopsis: m68k-elf/rtems should multilib crt[begin|end].o
 > 
 > State-Changed-From-To: feedback->closed
 > State-Changed-By: mmitchel
 > State-Changed-When: Sun Nov 10 22:03:45 2002
 > State-Changed-Why:
 >     Fixed in GCC 3.2.1 by applying the patch in the audit trail.
 > 
 > http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=8314
 
 -- 
 Joel Sherrill, Ph.D.             Director of Research & Development
 joel@OARcorp.com                 On-Line Applications Research
 Ask me about RTEMS: a free RTOS  Huntsville AL 35805
 Support Available                (256) 722-9985

Comment 6 Mark Mitchell 2002-11-24 12:39:52 UTC
From: Mark Mitchell <mark@codesourcery.com>
To: Joel Sherrill <joel.sherrill@OARcorp.com>,
   "mmitchel@gcc.gnu.org" <mmitchel@gcc.gnu.org>, "ccj@acm.org" <ccj@acm.org>,
   "gcc-bugs@gcc.gnu.org" <gcc-bugs@gcc.gnu.org>,
   "gcc-prs@gcc.gnu.org" <gcc-prs@gcc.gnu.org>,
   "joel@gcc.gnu.org" <joel@gcc.gnu.org>, "law@gcc.gnu.org" <law@gcc.gnu.org>,
   "pirovano.thysys@tiscalinet.it" <pirovano.thysys@tiscalinet.it>,
   "gcc-gnats@gcc.gnu.org" <gcc-gnats@gcc.gnu.org>
Cc:  
Subject: Re: other/8314: m68k-elf/rtems should multilib crt[begin|end].o
Date: Sun, 24 Nov 2002 12:39:52 -0800

 --On Tuesday, November 12, 2002 08:14:24 AM -0600 Joel Sherrill 
 <joel.sherrill@OARcorp.com> wrote:
 
 >
 > This also applies to the head.  Was it applied there as well?
 
 Yes.
 
 -- 
 Mark Mitchell                mark@codesourcery.com
 CodeSourcery, LLC            http://www.codesourcery.com